/*
 ATtiny25/45/85 Clockout
 Version: 1.0
 Author: Alex from insideGadgets (http://www.insidegadgets.com)
 Created: 10/06/2013
 Last Modified: 10/06/2013
 
 Increments the OSCCAL to generate a 10MHz to 33MHz clock out
 
 Change your fuse bits so the ATtiny85 uses 16MHz PLL:
 avrdude -p ATtiny85 -c usbtiny -U lfuse:w:0xa1:m -U hfuse:w:0xdf:m -U efuse:w:0xff:m
 
 */
 
#define F_CPU 16500000

#include <avr/io.h>
#include <util/delay.h>

// ATtiny25/45/85 Pin map
//
//                 +-\/-+
//     Reset PB5  1|o   |8  VCC
//           PB3  2|    |7  PB2
//  Clockout PB4  3|    |6  PB1
//           GND  4|    |5  PB0
//                 +----+

int main(void) {
	
	while(1) {
		OSCCAL++;
		_delay_ms(200);
	}
}
